E UROPEAN S YNCHROTRON R ADIATION F ACILITY ##### INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON |

Main Page Namespace List Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TangoTest::DataGenerator Class Reference

List of all members.

## Public Methods
| DataGenerator::DataGenerator (TangoTest &dev, long sleep_time)
void | go (void)
virtual void * | run_undetached (void *)
void | abort (void)
## Protected Methods
virtual | DataGenerator::~DataGenerator (void)

## Constructor & Destructor Documentation

virtual TangoTest::DataGenerator::DataGenerator::~DataGenerator | ( | void |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

void TangoTest::DataGenerator::abort | ( | void |  | ) | `[inline]`

TangoTest::DataGenerator::DataGenerator::DataGenerator | ( | TangoTest & | dev,
|  | long | sleep_time
| ) | `[inline]`

void TangoTest::DataGenerator::go | ( | void |  | ) | `[inline]`

virtual void* TangoTest::DataGenerator::run_undetached | ( | void * |  | ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- TangoTest.cpp

Tango Device Server User's Guide

### (c) ESRF - Software Engineering Group